"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const openapi_diff_1 = require("./openapi-diff");
const file_system_1 = require("./openapi-diff/resource-loader/file-system");
const http_client_1 = require("./openapi-diff/resource-loader/http-client");
const spec_loader_1 = require("./openapi-diff/spec-loader");
class CliFactory {
    static createOpenApiDiff() {
        const httpClient = new http_client_1.HttpClient();
        const fileSystem = new file_system_1.FileSystem();
        const specLoader = new spec_loader_1.SpecLoader(httpClient, fileSystem);
        return new openapi_diff_1.OpenApiDiff(specLoader);
    }
}
exports.CliFactory = CliFactory;
