"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toDiffEntry = (validationResult) => {
    const type = actionToTypeMap[validationResult.action];
    return {
        destinationValue: validationResult.destinationSpecEntityDetails.value,
        printablePath: getPrintablePath(validationResult.sourceSpecEntityDetails.location, validationResult.destinationSpecEntityDetails.location),
        severity: typeToSeverityMap[validationResult.type],
        sourceValue: validationResult.sourceSpecEntityDetails.value,
        type
    };
};
const getPrintablePath = (sourceLocation, destinationLocation) => {
    const location = sourceLocation || destinationLocation || '';
    return location.split('.');
};
const actionToTypeMap = {
    'add': 'add',
    'delete': 'delete',
    'edit': 'edit',
    'item.add': 'arrayContent.add',
    'item.delete': 'arrayContent.delete'
};
const typeToSeverityMap = {
    'breaking': 'breaking',
    'non-breaking': 'non-breaking',
    'unclassified': 'unclassified'
};
