"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ResultReporter {
    constructor(consoleLogger) {
        this.consoleLogger = consoleLogger;
    }
    static outcomeToString(outcome) {
        return JSON.stringify(outcome, null, 4);
    }
    reportSuccessWithOutcome(outcome) {
        this.consoleLogger.info(`Non breaking changes found between the two specifications:\n${ResultReporter.outcomeToString(outcome)}`);
    }
    reportNoChangesFound() {
        this.consoleLogger.info('No changes found between the two specifications');
    }
    reportError(error) {
        this.consoleLogger.error(error);
    }
    reportFailureWithOutcome(outcome) {
        this.consoleLogger.info(`Breaking changes found between the two specifications:\n${ResultReporter.outcomeToString(outcome)}`);
    }
}
exports.ResultReporter = ResultReporter;
